package com.wasu.cs.model;

/**
 * 描述了直播数据的原型
 * Created by zhangrm on 16-3-11.
 */
public interface ILiveAssets {

    enum Type {
        HTTP,
        P2P
    }

    /**
     * 频道数量
     * @return
     */
    int getChannelSize();

    /**
     * 获取对应index的频道id
     * @param index
     * @return
     */
    String getChannelId(int index);

    /**
     * 获取对应频道id的index
     * @param channelId
     * @return
     */
    int getIndexByChanenlId(String channelId);

    /**
     * 获取对应频道id下个频道id
     * @param channelId
     * @return
     */
    String getNextChannelId(String channelId);

    /**
     * 获取对应频道id上个频道id
     * @param channelId
     * @return
     */
    String getPreviousChannelId(String channelId);

    /**
     * 获取对应频道id的频道名称
     * @param channelId
     * @return
     */
    String getChannelName(String channelId);

    /**
     * 获取对应频道id的类型
     * @param channelId
     * @return
     */
    Type getType(String channelId);

    /**
     * 获取对应频道id的http播放地址
     * @param channelId
     * @return
     */
    String getHttpUrl(String channelId);

    /**
     * 获取对应频道id的p2p频道id
     * @param channelId
     * @return
     */
    String getP2pChannelId(String channelId);

    /**
     * 获取对应频道id的p2p服务器地址
     * @param channelId
     * @return
     */
    String getP2pFccs(String channelId);

}
